//  This file is part of GL-Presenter.
//  Copyright (C) 2010 Klaus Denker <kldenker@unix-ag.uni-kl.de>
//
//  GL-Presenter is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  GL-Presenter is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with GL-Presenter.  If not, see <http://www.gnu.org/licenses/>.

#include <QtGui>
#include "PresenterWidget.h"

using namespace std;

int main(int argc, char* argv[])
{
	QApplication a( argc, argv );
	PresenterWidget *pw;
	PDFThread *pdfthread;
	Animator *animator;

	if (argc<=1) {
		printf("Usage: gl-presenter presentation.pdf\n");
		return 1;
	}

        animator = new Animator();
        pdfthread = new PDFThread();
        pdfthread->setAnimator(animator);
	if (!pdfthread->loadFile(QString::fromLocal8Bit(argv[1]))) {
		delete pdfthread;
		return 1;
	}
	
	pw = new PresenterWidget(pdfthread, animator);

	a.setActiveWindow( pw );
	pw->show();
        int rt = a.exec();

	delete pw;
	delete animator;

        pdfthread->quitLoop();
	pdfthread->wait();
	delete pdfthread;
	
	return rt;
}
